Package com.independentsoft.office.drawing

# Class TextParagraphProperties

java.lang.Object
com.independentsoft.office.drawing.TextParagraphProperties

public class TextParagraphProperties extends Object
The Class TextParagraphProperties.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TextParagraphProperties()`
  Instantiates a new text paragraph properties.
  `TextParagraphProperties​(InternalXMLStreamReader reader, String localName)`
  Instantiates a new text paragraph properties.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TextParagraphProperties`
  `clone()`
  `TextAlignmentType`
  `getAlignment()`
  Gets the alignment.
  `int`
  `getDefaultTabSize()`
  Gets the default tab size.
  `DefaultTextRunProperties`
  `getDefaultTextRunProperties()`
  Gets the default text run properties.
  `TextFontAlignmentType`
  `getFontAlignment()`
  Gets the font alignment.
  `int`
  `getIndent()`
  Gets the indent.
  `int`
  `getLeftMargin()`
  Gets the left margin.
  `TextIndentLevelType`
  `getLevel()`
  Gets the level.
  `TextSpacing`
  `getLineSpacing()`
  Gets the line spacing.
  `int`
  `getRightMargin()`
  Gets the right margin.
  `TextSpacing`
  `getSpaceAfter()`
  Gets the space after.
  `TextSpacing`
  `getSpaceBefore()`
  Gets the space before.
  `List<TabStop>`
  `getTabStops()`
  Gets the tab stops.
  `TextBullet`
  `getTextBullet()`
  Gets the text bullet.
  `TextBulletColor`
  `getTextBulletColor()`
  Gets the text bullet color.
  `TextBulletSize`
  `getTextBulletSize()`
  Gets the text bullet size.
  `TextBulletTypeface`
  `getTextBulletTypeface()`
  Gets the text bullet typeface.
  `boolean`
  `isEastAsianLineBreak()`
  Checks if is east asian line break.
  `static boolean`
  `isEmpty​(String value, String localName)`
  Checks if is empty.
  `boolean`
  `isHangingPunctuation()`
  Checks if is hanging punctuation.
  `boolean`
  `isLatinLineBreak()`
  Checks if is latin line break.
  `boolean`
  `isRightToLeft()`
  Checks if is right to left.
  `void`
  `setAlignment​(TextAlignmentType alignment)`
  Sets the alignment.
  `void`
  `setDefaultTabSize​(int defaultTabSize)`
  Sets the default tab size.
  `void`
  `setEastAsianLineBreak​(boolean eastAsianLineBreak)`
  Sets the east asian line break.
  `void`
  `setFontAlignment​(TextFontAlignmentType fontAlignment)`
  Sets the font alignment.
  `void`
  `setHangingPunctuation​(boolean hangingPunctuation)`
  Sets the hanging punctuation.
  `void`
  `setIndent​(int indent)`
  Sets the indent.
  `void`
  `setLatinLineBreak​(boolean latinLineBreak)`
  Sets the latin line break.
  `void`
  `setLeftMargin​(int leftMargin)`
  Sets the left margin.
  `void`
  `setLevel​(TextIndentLevelType level)`
  Sets the level.
  `void`
  `setLineSpacing​(TextSpacing lineSpacing)`
  Sets the line spacing.
  `void`
  `setRightMargin​(int rightMargin)`
  Sets the right margin.
  `void`
  `setRightToLeft​(boolean rightToLeft)`
  Sets the right to left.
  `void`
  `setSpaceAfter​(TextSpacing spaceAfter)`
  Sets the space after.
  `void`
  `setSpaceBefore​(TextSpacing spaceBefore)`
  Sets the space before.
  `void`
  `setTextBullet​(TextBullet textBullet)`
  Sets the text bullet.
  `void`
  `setTextBulletColor​(TextBulletColor textBulletColor)`
  Sets the text bullet color.
  `void`
  `setTextBulletSize​(TextBulletSize textBulletSize)`
  Sets the text bullet size.
  `void`
  `setTextBulletTypeface​(TextBulletTypeface textBulletTypeface)`
  Sets the text bullet typeface.
  `String`
  `toXml​(String localName)`
  To xml.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TextParagraphProperties

    public TextParagraphProperties()
    Instantiates a new text paragraph properties.

  - ### TextParagraphProperties

    public TextParagraphProperties​(InternalXMLStreamReader reader, String localName) throws XMLStreamException
    Instantiates a new text paragraph properties.
    Parameters:
      `reader` - the reader
      `localName` - the local name
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### clone

    public TextParagraphProperties clone()
    Overrides:
      `clone` in class `Object`

  - ### toXml

    public String toXml​(String localName)
    To xml.
    Parameters:
      `localName` - the local name
    Returns:
      the string

  - ### isEmpty

    public static boolean isEmpty​(String value, String localName)
    Checks if is empty.
    Parameters:
      `value` - the value
      `localName` - the local name
    Returns:
      true, if is empty

  - ### getLineSpacing

    public TextSpacing getLineSpacing()
    Gets the line spacing.
    Returns:
      the line spacing

  - ### setLineSpacing

    public void setLineSpacing​(TextSpacing lineSpacing)
    Sets the line spacing.
    Parameters:
      `lineSpacing` - the new line spacing

  - ### getSpaceBefore

    public TextSpacing getSpaceBefore()
    Gets the space before.
    Returns:
      the space before

  - ### setSpaceBefore

    public void setSpaceBefore​(TextSpacing spaceBefore)
    Sets the space before.
    Parameters:
      `spaceBefore` - the new space before

  - ### getSpaceAfter

    public TextSpacing getSpaceAfter()
    Gets the space after.
    Returns:
      the space after

  - ### setSpaceAfter

    public void setSpaceAfter​(TextSpacing spaceAfter)
    Sets the space after.
    Parameters:
      `spaceAfter` - the new space after

  - ### getTextBulletColor

    public TextBulletColor getTextBulletColor()
    Gets the text bullet color.
    Returns:
      the text bullet color

  - ### setTextBulletColor

    public void setTextBulletColor​(TextBulletColor textBulletColor)
    Sets the text bullet color.
    Parameters:
      `textBulletColor` - the new text bullet color

  - ### getTextBulletSize

    public TextBulletSize getTextBulletSize()
    Gets the text bullet size.
    Returns:
      the text bullet size

  - ### setTextBulletSize

    public void setTextBulletSize​(TextBulletSize textBulletSize)
    Sets the text bullet size.
    Parameters:
      `textBulletSize` - the new text bullet size

  - ### getTextBulletTypeface

    public TextBulletTypeface getTextBulletTypeface()
    Gets the text bullet typeface.
    Returns:
      the text bullet typeface

  - ### setTextBulletTypeface

    public void setTextBulletTypeface​(TextBulletTypeface textBulletTypeface)
    Sets the text bullet typeface.
    Parameters:
      `textBulletTypeface` - the new text bullet typeface

  - ### getTextBullet

    public TextBullet getTextBullet()
    Gets the text bullet.
    Returns:
      the text bullet

  - ### setTextBullet

    public void setTextBullet​(TextBullet textBullet)
    Sets the text bullet.
    Parameters:
      `textBullet` - the new text bullet

  - ### getTabStops

    public List<TabStop> getTabStops()
    Gets the tab stops.
    Returns:
      the tab stops

  - ### getDefaultTextRunProperties

    public DefaultTextRunProperties getDefaultTextRunProperties()
    Gets the default text run properties.
    Returns:
      the default text run properties

  - ### getAlignment

    public TextAlignmentType getAlignment()
    Gets the alignment.
    Returns:
      the alignment

  - ### setAlignment

    public void setAlignment​(TextAlignmentType alignment)
    Sets the alignment.
    Parameters:
      `alignment` - the new alignment

  - ### getDefaultTabSize

    public int getDefaultTabSize()
    Gets the default tab size.
    Returns:
      the default tab size

  - ### setDefaultTabSize

    public void setDefaultTabSize​(int defaultTabSize)
    Sets the default tab size.
    Parameters:
      `defaultTabSize` - the new default tab size

  - ### isEastAsianLineBreak

    public boolean isEastAsianLineBreak()
    Checks if is east asian line break.
    Returns:
      true, if is east asian line break

  - ### setEastAsianLineBreak

    public void setEastAsianLineBreak​(boolean eastAsianLineBreak)
    Sets the east asian line break.
    Parameters:
      `eastAsianLineBreak` - the new east asian line break

  - ### getFontAlignment

    public TextFontAlignmentType getFontAlignment()
    Gets the font alignment.
    Returns:
      the font alignment

  - ### setFontAlignment

    public void setFontAlignment​(TextFontAlignmentType fontAlignment)
    Sets the font alignment.
    Parameters:
      `fontAlignment` - the new font alignment

  - ### isHangingPunctuation

    public boolean isHangingPunctuation()
    Checks if is hanging punctuation.
    Returns:
      true, if is hanging punctuation

  - ### setHangingPunctuation

    public void setHangingPunctuation​(boolean hangingPunctuation)
    Sets the hanging punctuation.
    Parameters:
      `hangingPunctuation` - the new hanging punctuation

  - ### getIndent

    public int getIndent()
    Gets the indent.
    Returns:
      the indent

  - ### setIndent

    public void setIndent​(int indent)
    Sets the indent.
    Parameters:
      `indent` - the new indent

  - ### isLatinLineBreak

    public boolean isLatinLineBreak()
    Checks if is latin line break.
    Returns:
      true, if is latin line break

  - ### setLatinLineBreak

    public void setLatinLineBreak​(boolean latinLineBreak)
    Sets the latin line break.
    Parameters:
      `latinLineBreak` - the new latin line break

  - ### getLevel

    public TextIndentLevelType getLevel()
    Gets the level.
    Returns:
      the level

  - ### setLevel

    public void setLevel​(TextIndentLevelType level)
    Sets the level.
    Parameters:
      `level` - the new level

  - ### getLeftMargin

    public int getLeftMargin()
    Gets the left margin.
    Returns:
      the left margin

  - ### setLeftMargin

    public void setLeftMargin​(int leftMargin)
    Sets the left margin.
    Parameters:
      `leftMargin` - the new left margin

  - ### getRightMargin

    public int getRightMargin()
    Gets the right margin.
    Returns:
      the right margin

  - ### setRightMargin

    public void setRightMargin​(int rightMargin)
    Sets the right margin.
    Parameters:
      `rightMargin` - the new right margin

  - ### isRightToLeft

    public boolean isRightToLeft()
    Checks if is right to left.
    Returns:
      true, if is right to left

  - ### setRightToLeft

    public void setRightToLeft​(boolean rightToLeft)
    Sets the right to left.
    Parameters:
      `rightToLeft` - the new right to left